/* ===================================================================================================
   ==                                     PROGRAM DESCRIPTION                                       ==
   =================================================================================================== */
/*

PROGRAM  :  Befuddler
AUTHOR   :  Julien McArdle
LICENSE  :  GPLv3 (c) 2010


FULL DESCRIPTION:

Befuddler is tool used to change the signature and extension of files so that they can evade
annoyances such as over-zealous email filters.

It works by reversing the order of the first ten bytes of the file and applying a ROT-13 scheme
to the file extension, if present. If less than ten bytes are in the file, their order won't
be reversed.

Files are processed through a drag and drop mechanism.


ADDITIONAL NOTES:

This program was put together and tested with a static build of Qt 4.6 on Windows XP. The icon
is from the Open Icon Library project. More information available at the official website, over
at http://openiconlibrary.sourceforge.net/.

*/

/* ===================================================================================================
   ==                                  FUNCTION TO START IT ALL                                     ==
   =================================================================================================== */

#include <QtGui/QApplication>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w;
    w.show();

    return a.exec();
}
