#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDropEvent>
#include <QDragEnterEvent>
#include <QDragMoveEvent>
#include <QDragLeaveEvent>
#include <QMimeData>
#include <QString>
#include <QList>
#include <QUrl>
#include <QFile>
#include <QIODevice>
#include <QByteArray>
#include <QChar>
#include <QSize>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);
    void dragEnterEvent(QDragEnterEvent *event);
    void dragMoveEvent(QDragMoveEvent *event);
    void dragLeaveEvent(QDragLeaveEvent *event);
    void dropEvent(QDropEvent *event);

private:
    Ui::MainWindow *ui;
    bool helpActive;
    int befuddledMessage;
    int beffudleFile(QString, int);
    QString rot13(QString);

private slots:
    void on_buttonHelp_toggled(bool checked);

signals:
    void changed(const QMimeData *mimeData = 0);
};

#endif // MAINWINDOW_H
